Bug 929028 - Can not start riak service
Summary: Can not start riak service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: riak
Version: 18
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-29 03:41 UTC by M. Edward (Ed) Borasky
Modified: 2013-05-25 08:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-25 08:47:19 UTC


Attachments (Terms of Use)
output of systemctl status riak.service (882 bytes, text/plain)
2013-03-29 03:41 UTC, M. Edward (Ed) Borasky
no flags Details
output of journalctl command (1.71 KB, text/plain)
2013-03-29 03:42 UTC, M. Edward (Ed) Borasky
no flags Details

Description M. Edward (Ed) Borasky 2013-03-29 03:41:03 UTC
Created attachment 717930 [details]
output of systemctl status riak.service

Description of problem:
Riak service does not start

Version-Release number of selected component (if applicable):
riak-1.2.1-1.fc18.x86_64

Steps to Reproduce:
1. Install riak (sudo yum install riak)
2. Attempt to start riak (sudo service riak start)
3. Start fails - dump error messages
  
Actual results:
$ sudo yum install riak
Package riak-1.2.1-1.fc18.x86_64 already installed and latest version
$ sudo service riak start
Redirecting to /bin/systemctl start  riak.service
Job for riak.service failed. See 'systemctl status riak.service' and 'journalctl -xn' for details.



Expected results:
Expected riak to start

Additional info:
see attached results from 'systemctl' and 'journalctl'

Comment 1 M. Edward (Ed) Borasky 2013-03-29 03:42:09 UTC
Created attachment 717931 [details]
output of journalctl command

Comment 2 Fedora Update System 2013-04-08 11:04:21 UTC
erlang-js-1.2.2-1.fc18, erlang-lager-1.2.2-1.fc18, erlang-basho_stats-1.0.3-1.fc18, erlang-merge_index-1.3.0-1.fc18, erlang-riak_pb-1.3.3-1.fc18, erlang-riak_client-1.3.3-1.fc18, erlang-cluster_info-1.2.3-1.fc18, erlang-ebloom-1.1.2-1.fc18, erlang-eleveldb-1.3.0-1.fc18, erlang-riak_sysmon-1.1.3-2.fc18, erlang-erlydtl-0.7.0-1.20130214git6a9845f.fc18, riak-1.3.1-2.fc18, erlang-sext-1.1-1.fc18, erlang-riak_core-1.3.1-2.fc18, erlang-riak_pipe-1.3.1-2.fc18, erlang-riak_api-1.3.1-2.fc18, erlang-riak_kv-1.3.1-1.fc18, erlang-riak_control-1.3.1-1.fc18, erlang-riak_search-1.3.1-1.fc18, erlang-bitcask-1.6.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-3754/riak-1.3.1-2.fc18,erlang-bitcask-1.6.1-1.fc18,erlang-riak_search-1.3.1-1.fc18,erlang-riak_control-1.3.1-1.fc18,erlang-riak_kv-1.3.1-1.fc18,erlang-riak_api-1.3.1-2.fc18,erlang-riak_pipe-1.3.1-2.fc18,erlang-sext-1.1-1.fc18,erlang-erlydtl-0.7.0-1.20130214git6a9845f.fc18,erlang-riak_core-1.3.1-2.fc18,erlang-riak_client-1.3.3-1.fc18,erlang-riak_pb-1.3.3-1.fc18,erlang-eleveldb-1.3.0-1.fc18,erlang-merge_index-1.3.0-1.fc18,erlang-cluster_info-1.2.3-1.fc18,erlang-basho_stats-1.0.3-1.fc18,erlang-ebloom-1.1.2-1.fc18,erlang-lager-1.2.2-1.fc18,erlang-js-1.2.2-1.fc18,erlang-riak_sysmon-1.1.3-2.fc18

Comment 3 Peter Lemenkov 2013-04-08 11:06:25 UTC
(In reply to comment #1)
> Created attachment 717931 [details]
> output of journalctl command

Hello Edward!
Sorry for the delay - please  try this build (available in updates-testing soon)

Comment 4 Fedora Update System 2013-04-08 22:58:37 UTC
Package erlang-js-1.2.2-1.fc18, erlang-lager-1.2.2-1.fc18, erlang-basho_stats-1.0.3-1.fc18, erlang-merge_index-1.3.0-1.fc18, erlang-riak_pb-1.3.3-1.fc18, erlang-riak_client-1.3.3-1.fc18, erlang-cluster_info-1.2.3-1.fc18, erlang-ebloom-1.1.2-1.fc18, erlang-eleveldb-1.3.0-1.fc18, erlang-riak_sysmon-1.1.3-2.fc18, erlang-erlydtl-0.7.0-1.20130214git6a9845f.fc18, riak-1.3.1-2.fc18, erlang-sext-1.1-1.fc18, erlang-riak_core-1.3.1-2.fc18, erlang-riak_pipe-1.3.1-2.fc18, erlang-riak_api-1.3.1-2.fc18, erlang-riak_kv-1.3.1-1.fc18, erlang-riak_control-1.3.1-1.fc18, erlang-riak_search-1.3.1-1.fc18, erlang-bitcask-1.6.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing erlang-js-1.2.2-1.fc18 erlang-lager-1.2.2-1.fc18 erlang-basho_stats-1.0.3-1.fc18 erlang-merge_index-1.3.0-1.fc18 erlang-riak_pb-1.3.3-1.fc18 erlang-riak_client-1.3.3-1.fc18 erlang-cluster_info-1.2.3-1.fc18 erlang-ebloom-1.1.2-1.fc18 erlang-eleveldb-1.3.0-1.fc18 erlang-riak_sysmon-1.1.3-2.fc18 erlang-erlydtl-0.7.0-1.20130214git6a9845f.fc18 riak-1.3.1-2.fc18 erlang-sext-1.1-1.fc18 erlang-riak_core-1.3.1-2.fc18 erlang-riak_pipe-1.3.1-2.fc18 erlang-riak_api-1.3.1-2.fc18 erlang-riak_kv-1.3.1-1.fc18 erlang-riak_control-1.3.1-1.fc18 erlang-riak_search-1.3.1-1.fc18 erlang-bitcask-1.6.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3754/riak-1.3.1-2.fc18,erlang-bitcask-1.6.1-1.fc18,erlang-riak_search-1.3.1-1.fc18,erlang-riak_control-1.3.1-1.fc18,erlang-riak_kv-1.3.1-1.fc18,erlang-riak_api-1.3.1-2.fc18,erlang-riak_pipe-1.3.1-2.fc18,erlang-sext-1.1-1.fc18,erlang-erlydtl-0.7.0-1.20130214git6a9845f.fc18,erlang-riak_core-1.3.1-2.fc18,erlang-riak_client-1.3.3-1.fc18,erlang-riak_pb-1.3.3-1.fc18,erlang-eleveldb-1.3.0-1.fc18,erlang-merge_index-1.3.0-1.fc18,erlang-cluster_info-1.2.3-1.fc18,erlang-basho_stats-1.0.3-1.fc18,erlang-ebloom-1.1.2-1.fc18,erlang-lager-1.2.2-1.fc18,erlang-js-1.2.2-1.fc18,erlang-riak_sysmon-1.1.3-2.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-17 00:28:45 UTC
Package erlang-js-1.2.2-1.fc18, erlang-lager-1.2.2-1.fc18, erlang-basho_stats-1.0.3-1.fc18, erlang-merge_index-1.3.0-1.fc18, erlang-riak_pb-1.3.3-1.fc18, erlang-riak_client-1.3.3-1.fc18, erlang-cluster_info-1.2.3-1.fc18, erlang-ebloom-1.1.2-1.fc18, erlang-riak_sysmon-1.1.3-2.fc18, erlang-erlydtl-0.7.0-1.20130214git6a9845f.fc18, riak-1.3.1-2.fc18, erlang-sext-1.1-1.fc18, erlang-riak_core-1.3.1-2.fc18, erlang-riak_pipe-1.3.1-2.fc18, erlang-riak_api-1.3.1-2.fc18, erlang-riak_kv-1.3.1-1.fc18, erlang-riak_control-1.3.1-1.fc18, erlang-riak_search-1.3.1-1.fc18, erlang-bitcask-1.6.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing erlang-js-1.2.2-1.fc18 erlang-lager-1.2.2-1.fc18 erlang-basho_stats-1.0.3-1.fc18 erlang-merge_index-1.3.0-1.fc18 erlang-riak_pb-1.3.3-1.fc18 erlang-riak_client-1.3.3-1.fc18 erlang-cluster_info-1.2.3-1.fc18 erlang-ebloom-1.1.2-1.fc18 erlang-riak_sysmon-1.1.3-2.fc18 erlang-erlydtl-0.7.0-1.20130214git6a9845f.fc18 riak-1.3.1-2.fc18 erlang-sext-1.1-1.fc18 erlang-riak_core-1.3.1-2.fc18 erlang-riak_pipe-1.3.1-2.fc18 erlang-riak_api-1.3.1-2.fc18 erlang-riak_kv-1.3.1-1.fc18 erlang-riak_control-1.3.1-1.fc18 erlang-riak_search-1.3.1-1.fc18 erlang-bitcask-1.6.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3754/riak-1.3.1-2.fc18,erlang-bitcask-1.6.1-1.fc18,erlang-riak_search-1.3.1-1.fc18,erlang-riak_control-1.3.1-1.fc18,erlang-riak_kv-1.3.1-1.fc18,erlang-riak_api-1.3.1-2.fc18,erlang-riak_pipe-1.3.1-2.fc18,erlang-sext-1.1-1.fc18,erlang-erlydtl-0.7.0-1.20130214git6a9845f.fc18,erlang-riak_core-1.3.1-2.fc18,erlang-riak_client-1.3.3-1.fc18,erlang-riak_pb-1.3.3-1.fc18,erlang-merge_index-1.3.0-1.fc18,erlang-cluster_info-1.2.3-1.fc18,erlang-basho_stats-1.0.3-1.fc18,erlang-ebloom-1.1.2-1.fc18,erlang-lager-1.2.2-1.fc18,erlang-js-1.2.2-1.fc18,erlang-riak_sysmon-1.1.3-2.fc18
then log in and leave karma (feedback).


Note You need to log in before you can comment on or make changes to this bug.